DSSSL Library Reference: Part of the Modular DocBook Stylesheet distribution
Prev |  | Next

# has-ancestor-member?

## Name

has-ancestor-member? -- Returns true if the specified node has one of a set of GIs as an ancestor

## Synopsis

    (has-ancestor-member? nd gilist)

## Description

Returns `#t` if `nd` has an ancestor whose GI is a member of `gilist`.

## Author

Norman Walsh, <ndw@nwalsh.com>

## Source Code

    (define (has-ancestor-member? nd gilist)
      ;; Returns true if the specified node has one of a set of GIs as an ancestor
      (not (node-list-empty? (ancestor-member nd gilist))))

Prev | Home | Next
ancestor-member | Up | descendant-of?